LiteAUR: Just another AUR helper
Go to file
ffqq feed3f7dbd Merge pull request 'Merge Release 1.7.2 to main' (#5) from staging into main
Reviewed-on: #5
2022-09-05 13:33:23 +08:00
LICENSE Update 'LICENSE' 2022-01-21 19:47:55 +08:00
liteaur Update 'liteaur' 2022-09-05 13:20:09 +08:00
README.md Update 'README.md' 2022-01-21 00:56:55 +08:00

LiteAUR

Just another AUR helper

FEATURES:

  • Lightweight
  • Update system
  • Fast
  • Search command
  • Configuration

Images:

Big Text Search Function
Configuration file Help command

FAQ:

  1. Q: Why can't my package install because of "ERROR: Could not resolve all dependencies" or "ERROR: 'pacman' failed to install missing dependencies"?
    A: Some of that package's dependencies are most-likely AUR packages, not pacman packages. Simply run liteaur -i foo foobar (replace foo and foobar with the dependencies that failed to install)

  2. Q: How to contribute to LiteAUR or suggest a feature?
    A: Simply fork this project, make your changes, and open a pull/merge request OR make an issue with the feature(s) you want added to LiteAUR! All suggestions and contributions are welcome!

  3. Q: Why is the search command sometimes not outputting anything?
    A: It either means the search you've put has hit the AURWeb RPC's limit, or that it has no results.

  4. Q: Help! I found a bug!
    A: Open an issue describing the bug in detail (if possible).